Subject: Inconsistent cr/lf translation

From: Akop Pogosian <[email-masked]>
Date: Mon, 19 Mar 2001 21:57:16 -0800 (PST)

I use netatalk-1.4b2+asun2.1.3 on Solaris 2.6

When I upload a text file from a mac to our server, the translation
doesn't happen and the file is filled with "^M" characters.  Now, when
I copy this file back to my mac, the lines are now delimited with
newlines. If I copy this file filled with newlines to the server, no
translation happens again. If I copy it back to the mac, the newlines
are finally replaced with the cartridge returns.

It seems to me that the translation happens only when the file is
copied -from- the server. Is this a normal behavior?